Description

One of the trusted hosts tests added in #7849 hangs in my local environment.  Perhaps network or smart proxy config differences, as

it's actually going to the network to perform a DNS lookup.

/home/dcleal/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/resolv.rb:101:in `getaddresses'

/home/dcleal/code/foreman/smart-proxy/lib/proxy/helpers.rb:59:in `remote_fqdn'

/home/dcleal/code/foreman/smart-proxy/lib/sinatra/authorization.rb:17:in `block in authorize_with_

trusted_hosts'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1610:in `call'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1610:in `block in c

ompile!'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1014:in `[]'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1014:in `block in p

rocess_route'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1012:in `catch'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1012:in `process_ro

ute'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:965:in `block in fi

lter!'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:965:in `each'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:965:in `filter!'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1083:in `block in d

ispatch!'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `block in i

nvoke'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `catch'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `invoke'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1081:in `dispatch!'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:906:in `block in ca

ll!'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `block in i

nvoke'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `catch'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:1066:in `invoke'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:906:in `call!'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:894:in `call'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/rack-protection-1.5.3/lib/rack/protection/xss_header.

rb:18:in `call'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/rack-protection-1.5.3/lib/rack/protection/path_traver

sal.rb:16:in `call'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/rack-protection-1.5.3/lib/rack/protection/json_csrf.r

b:18:in `call'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/rack-protection-1.5.3/lib/rack/protection/base.rb:49:

in `call'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/rack-protection-1.5.3/lib/rack/protection/base.rb:49:

in `call'
/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/rack-protection-1.5.3/lib/rack/protection/frame_optio

ns.rb:31:in `call'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/rack-1.5.2/lib/rack/nulllogger.rb:9:in `call'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/rack-1.5.2/lib/rack/head.rb:11:in `call'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/show_exceptions.rb:21:in `c

all'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:181:in `call'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/sinatra-1.4.6/lib/sinatra/base.rb:2021:in `call'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/rack-test-0.6.3/lib/rack/mock_session.rb:30:in `reque

st'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/rack-test-0.6.3/lib/rack/test.rb:244:in `process_requ

est'

/home/dcleal/.rvm/gems/ruby-2.1.0@proxy/gems/rack-test-0.6.3/lib/rack/test.rb:58:in `get'

/home/dcleal/.rvm/rubies/ruby-2.1.0/lib/ruby/2.1.0/forwardable.rb:183:in `get'

test/sinatra/trusted_hosts_test.rb:61:in `test_trusted_hosts_http_forbids_access'

Related issues:

Related to Smart Proxy - Feature #7849: trusted_hosts should determine hostna... Closed 10/08/2014

Associated revisions

Revision b8e4d472 - 04/02/2015 11:12 AM - Dominic Cleal

fixes #9919 - stub DNS lookup during trusted hosts test

History

#1 - 03/27/2015 05:02 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/271 added

- Pull request deleted ()

#2 - 03/27/2015 05:08 AM - Dominic Cleal

- Related to Feature #7849: trusted_hosts should determine hostname from certificate CN on SSL requests added

#3 - 04/02/2015 12:02 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b8e4d4721da11013e22d3b96e2b98e367f16fede.

#4 - 04/09/2015 08:18 AM - Dominic Cleal

- translation missing: en.field_release set to 35
